
Redmine - Feature #41500

Swap odd and even table row background colors

2024-10-17 23:56 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

Currently, odd-numbered rows in tables such as issues list and spent time list have a grey background, and even-numbered rows

have a white background. This can result in a darker appearance when the table has a few rows, as the gray rows become more

prominent. Additionally, the gray first row immediately follows the dark gray header, creating a visually heavy transition.

The attached patch swaps the background colors of even and odd table rows.

When a table has a few rows, it results in a darker appearance:

 clipboard-202410180640-5exql.png 

 clipboard-202410180648-3kauc.png 

After swapping odd and even table row background colors:

 clipboard-202410180642-sdwnt.png 

 clipboard-202410180649-omqzr.png 

When a table does not have a header, the first row looks like a header:

 clipboard-202410180654-letya.png 

After swapping odd and even table row background colors:

 clipboard-202410180655-ibygu.png 

Related issues:

Blocked by Redmine - Patch #41509: Replace "even" and "odd" CSS classes with ... Closed

Associated revisions

Revision 23152 - 2024-10-20 09:08 - Go MAEDA

Swap odd and even table row background colors (#41500).

Patch by Go MAEDA (user:maeda).

History

#1 - 2024-10-18 17:19 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

Setting the target version to 6.0.0.

#2 - 2024-10-20 01:25 - Go MAEDA

- Blocked by Patch #41509: Replace "even" and "odd" CSS classes with "this-month" and "other-month" for calendar days added

#3 - 2024-10-20 03:06 - Go MAEDA

- Tracker changed from Defect to Feature

#4 - 2024-10-20 09:08 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed
Committed the patch in r23152.
